%define binname aria2c

Name:           aria2
Version:        1.33.1
Release:        %mkrel 1
Summary:        High speed download utility with resuming and segmented downloading
Group:          Networking/File transfer
License:        GPLv2+ with exceptions
URL:            http://aria2.github.io/
Source0:        https://github.com/tatsuhiro-t/%{name}/releases/download/release-%{version}/%{name}-%{version}.tar.xz
Patch0:		%name-git-fixes-24112017.patch
BuildRequires:  bison
BuildRequires:  gettext
BuildRequires:  c-ares-devel
BuildRequires:  cppunit-devel
BuildRequires:  gnutls-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  libxml2-devel
BuildRequires:  sqlite3-devel
BuildRequires:	ssh2-devel

%description
aria2 is a command-line download utility with resuming and segmented downloading.
Supported protocols are HTTP/HTTPS/FTP/BitTorrent. It also supports Metalink
version 3.0.

Currently it has following features:
- HTTP/HTTPS GET support
- HTTP Proxy support
- HTTP BASIC authentication support
- HTTP Proxy authentication support
- FTP support(active, passive mode)
- FTP through HTTP proxy(GET command or tunneling)
- Segmented download
- Cookie support
- It can run as a daemon process.
- BitTorrent protocol support with fast extension.
- Selective download in multi-file torrent
- Metalink version 3.0 support(HTTP/FTP/BitTorrent).
- Limiting download/upload speed

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fi
%configure2_5x CXX="g++ -std=c++11" \
           --enable-bittorrent \
           --enable-metalink \
           --enable-epoll \
           --with-gnutls \
           --with-libcares \
           --with-libxml2 \
           --without-openssl \
           --with-libz \
           --with-sqlite3 \
           --with-libssh2 \
           --with-ca-bundle=/etc/ssl/certs/ca-bundle.crt

%make

%install
%make_install

%find_lang %{name}

%check

%files -f %{name}.lang
%doc AUTHORS ChangeLog INSTALL COPYING README* NEWS 
%{_bindir}/%{binname}
%{_mandir}/man1/aria2c.1.*
%{_mandir}/*/man1/aria2c.1.*


%changelog
* Fri Nov 24 2017 Zen Subz <techars21 at gmail dot com> - 1.33.1-1pclos2017
- Update to v1.33.1 with fixes from github
